Bug 1650560 - glibc: Update syscall names to Linux 4.19
Summary: glibc: Update syscall names to Linux 4.19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Weimer
QA Contact: Florian Weimer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 13:52 UTC by Carlos O'Donell
Modified: 2019-06-14 01:19 UTC (History)
8 users (show)

Fixed In Version: glibc-2.28-29.el8
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-14 01:19:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Carlos O'Donell 2018-11-16 13:52:41 UTC
We need to update the glibc syscall list to stay in sync for 4.18/4.19.

We need the following 2 commits from 2.28 stable:

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=168035056eab9db4ee0e5d7f62060e111b86a0a4

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f44c2ca5eacd2df76fc38be75f9ebb8f0ff555eb

Comment 2 Sergey Kolosov 2018-11-22 12:56:08 UTC
Verified,

2 new syscalls were added to glibc-2.28/sysdeps/unix/sysv/linux/syscall-names.list in glibc-2.28-29.el8


Note You need to log in before you can comment on or make changes to this bug.